require "numru/ggraph"
include NumRu

ncfn = "out/Venus_VIRA_2D.nc"
vname = "Temp"

#gphys = GPhys::IO.open( ncfn, vname )
url = ncfn + "@" + vname
gphys = GPhys::IO.open_gturl( url )
gphys = gphys.copy
gphys.long_name = "Temperature"

na_press = gphys.coord('Press').val

iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL.gropn(iws)

#DCL.sldiv('y',1,4)
DCL.sgpset('isub', 96)     # control character of subscription: '_' --> '`'
DCL.sgpset('lfull',true)
DCL.uzfact(0.6)            # font size
DCL.sgpset('lclip', true)  # clip graph
DCL.glpset('lmiss',true)   # missing value

#DCL.sgscmn(4)  # blue-cyan-white-yellow-red
#DCL.sgscmn(5)  # gray-scale
#DCL.sgscmn(14) # blue-white-red


#GGraph.set_fig 'itr'=> 2, 'viewport'=>[0.1,0.9,0.15,0.6], 'window'=>[0,90,na_press[0],na_press[-1]]
GGraph.set_fig 'itr'=> 2, 'viewport'=>[0.1,0.9,0.15,0.6], 'window'=>[0,90,100e5,4]

GGraph.tone gphys, true    , 'title'=>"", 'nlev'=>20#, 'log'=>true
GGraph.contour gphys, false, 'nlev'=>20
GGraph.color_bar


#levels = [100,125,150,175,200,225,250,275,300,325,350,375,400,425,450,475,500,525,550,575,600,625,650,675,700,725,750]
#patterns = [10999,12999,15999,17999,20999,22999,25999,27999,30999,32999,35999,37999,40999,42999,45999,47999,50999,52999,55999,57999,60999,62999,65999,70999,75999,80999,90999,95999]
#
#GGraph.tone gphys, true    , 'title'=>nil, 'lev'=>levels, 'pat'=>patterns
#GGraph.contour gphys, false, 'title'=>nil, 'lev'=>levels
#GGraph.color_bar


DCL.grcls
