
module constants0

  use vtype_module

  implicit none

  private


  real(dp), parameter, public:: PI = 3.1415926535897932385d0

  real(dp), parameter, public:: SpeedOfLight = 299792458.0d0
  ! [m s-1].
  ! Speed of light in vacuum
  ! (2014 CODATA recommended values)

  real(dp), parameter, public:: GasRUniv = 8.3144621d0
  ! [J K-1 mol-1].
  ! Universal gas constant
  ! (Mohr et al., 2012; CODATA 2010)

  real(dp), parameter, public:: Boltz = 1.3806488d-23
  ! [J K-1].
  ! Boltzmann constant
  ! (Mohr et al., 2012; CODATA 2010)

  real(dp), parameter, public:: PlanckConst = 6.626070040d-34
  ! [J s].
  ! Planck constant
  ! (2014 CODATA recommended values)

  real(dp), parameter, public:: StB = 5.670373d-8
  ! Stefan-Boltzmann constant
  ! (Mohr et al., 2012; CODATA 2010)

  real(dp), parameter, public:: AvogConst = 6.022140857d23
  ! [mol-1]
  ! Avogadro constant
  ! (Mohr et al., 2012; CODATA 2010)

  real(dp), parameter, public:: AtomMassConst = 1.660539040d-27
  ! atomic mass constant
  ! (Mohr et al., 2012; CODATA 2010)


end module constants0
